'''
# Flybys in `REBOUND`
- A package for implementing flybys in [hannorein/rebound](https://github.com/hannorein/rebound)
'''
from .core import (add_star_to_sim, flyby, flybys, hybrid_flyby, hybrid_flybys, successive_flybys, concurrent_flybys)
from .environments import (StellarEnvironment, LocalNeighborhood, OpenCluster, GlobularCluster, GalacticBulge, GalacticCore)
from .analytic import (relative_energy_change, energy_change_adiabatic_estimate, eccentricity_change_adiabatic_estimate, inclination_change_adiabatic_estimate)
from .imf import (IMF)
from .stars import (Star, Stars)
from .units import (UnitSet)
from .units import GravConst as G

__version__ = 'v0.8.1'
